.NET

Reply
Contributor
NovayaEra
Posts: 13
Registered: ‎08-10-2011
Message 1 of 1 (180 Views)

Infopoint properties (Mechanical)

180 Views, 0 Replies
11-09-2012 03:13 AM

Hi

 

I need to get properties (Name, Material, Mass ets.) from Infopoint in Autocad Mechanical 2013. I found this code to get infopoint and its works, but how to get property's values?

 

Dim acApp As AcadApplication = DirectCast(System.Runtime.InteropServices.Marshal.GetActiveObject("Autocad.Application.18"), AcadApplication)
Dim ed As Editor = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor

        ed.WriteMessage("Select Infopoint:")
        Dim pso As New PromptSelectionOptions()
        pso.SinglePickInSpace = True
        Dim res As PromptSelectionResult = ed.GetSelection(pso)

        Dim SS As Autodesk.AutoCAD.EditorInput.SelectionSet = res.Value
        If SS Is Nothing Then
            Return
        End If
        If SS.Count < 1 Then
            Return
        End If

        If (SS(0)).ObjectId.ObjectClass.Name.Contains("AcmPartRef") Then
            ed.WriteMessage("Is an infopoint:")

            
        End If

 

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are You Going To Be @ AU 2014? Feel free to drop by our AU topic post and share your plans, plug a class that you're teaching, or simply check out who else from the community might be in attendance. Ohh and don't forgot to stop by the Autodesk Help | Learn | Collaborate booths in the Exhibit Hall and meet our community team if you get a chance!